Index: trunk/SophyaLib/SkyMap/smakefile
===================================================================
--- trunk/SophyaLib/SkyMap/smakefile	(revision 2743)
+++ trunk/SophyaLib/SkyMap/smakefile	(revision 2743)
@@ -0,0 +1,313 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libSkyMap.a
+ 
+clean:
+	 rm -f $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	rm -f $(SOPHYALIBP)libSkyMap.a
+ 
+$(SOPHYALIBP)libSkyMap.a : $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
+  $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h localmap.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fiosphereecp.o: fiosphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h fiosphereecp.h \
+  sphereecp.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fiospherehealpix.o: fiospherehealpix.cc \
+  $(SOPHYAINCP)sopnamsp.h fiospherehealpix.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h spherehealpix.h \
+  HEALPixUtils.h $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  fiospherethetaphi.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h spherethetaphi.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
+  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)localmap.o: localmap.cc \
+  $(SOPHYAINCP)sopnamsp.h localmap.h \
+  pixelmap.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)longlat.o: longlat.cc \
+  $(SOPHYAINCP)sopnamsp.h longlat.h \
+  $(SOPHYAINCP)machdefs.h utilgeom.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)mapoperation.o: mapoperation.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h mapoperation.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)skymapinit.o: skymapinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h spherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  pixelmap.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fiospherehealpix.h \
+  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
+  localmap.h fiosphereecp.h sphereecp.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
+  $(SOPHYAINCP)sopnamsp.h sphereecp.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)spherehealpix.o: spherehealpix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h spherehealpix.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  pixelmap.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)utilarr.h HEALPixUtils.h \
+  $(SOPHYAINCP)strutil.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)spherepos.o: spherepos.cc \
+  $(SOPHYAINCP)sopnamsp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h unitvector.h \
+  vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)spherethetaphi.o: spherethetaphi.cc \
+  $(SOPHYAINCP)sopnamsp.h spherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h spherepos.h \
+  unitvector.h vector3d.h longlat.h utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fiondblock.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)unitvector.o: unitvector.cc \
+  $(SOPHYAINCP)sopnamsp.h unitvector.h \
+  vector3d.h longlat.h \
+  $(SOPHYAINCP)machdefs.h utilgeom.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h utilgeom.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)vector3d.o: vector3d.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h vector3d.h \
+  longlat.h utilgeom.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaLib/SkyT/Makefile
===================================================================
--- trunk/SophyaLib/SkyT/Makefile	(revision 2742)
+++ trunk/SophyaLib/SkyT/Makefile	(revision 2743)
@@ -1,120 +1,189 @@
-include ../Mgr/Makefile.h
+include ../BuildMgr/sophyamake.inc
  
-all: $(LIB)libSkyT.a
+all: $(SOPHYALIBP)libSkyT.a
+ 
 clean:
-	rm -f $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)derivblackbody.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)skyinit.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)trianglefilt.o
-	rm -f $(LIB)libSkyT.a
-$(LIB)libSkyT.a : $(OBJ)blackbody.o $(OBJ)convtools.o $(OBJ)derivblackbody.o $(OBJ)gaussfilt.o $(OBJ)nupower.o $(OBJ)radspec.o $(OBJ)radspecvector.o $(OBJ)skyinit.o $(OBJ)specresp.o $(OBJ)specrespvector.o $(OBJ)squarefilt.o $(OBJ)trianglefilt.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
+	 rm -f $(SOPHYAOBJP)blackbody.o $(SOPHYAOBJP)convtools.o $(SOPHYAOBJP)derivblackbody.o $(SOPHYAOBJP)gaussfilt.o $(SOPHYAOBJP)nupower.o $(SOPHYAOBJP)radspec.o $(SOPHYAOBJP)radspecvector.o $(SOPHYAOBJP)skyinit.o $(SOPHYAOBJP)specresp.o $(SOPHYAOBJP)specrespvector.o $(SOPHYAOBJP)squarefilt.o $(SOPHYAOBJP)trianglefilt.o
+	rm -f $(SOPHYALIBP)libSkyT.a
  
-$(OBJ)blackbody.o: blackbody.cc $(INC)machdefs.h \
- blackbody.h radspec.h specresp.h \
- $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h convtools.h
-$(OBJ)convtools.o: convtools.cc convtools.h \
- $(INC)machdefs.h
-$(OBJ)derivblackbody.o: derivblackbody.cc \
- $(INC)machdefs.h derivblackbody.h radspec.h \
- specresp.h $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h convtools.h
-$(OBJ)gaussfilt.o: gaussfilt.cc $(INC)machdefs.h \
- gaussfilt.h specresp.h $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h
-$(OBJ)nupower.o: nupower.cc $(INC)machdefs.h \
- nupower.h radspec.h specresp.h \
- $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h convtools.h
-$(OBJ)radspec.o: radspec.cc $(INC)machdefs.h \
- radspec.h specresp.h $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)integ.h \
- $(INC)classfunc.h
-$(OBJ)radspecvector.o: radspecvector.cc \
- $(INC)machdefs.h radspecvector.h radspec.h \
- specresp.h $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h
-$(OBJ)skyinit.o: skyinit.cc skyinit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)sophyainit.h \
- $(INC)machdefs.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h specrespvector.h \
- specresp.h $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h gaussfilt.h
-$(OBJ)specresp.o: specresp.cc specresp.h \
- $(INC)machdefs.h \
- $(INC)anydataobj.h \
- $(INC)integ.h \
- $(INC)pexceptions.h \
- $(INC)classfunc.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h
-$(OBJ)specrespvector.o: specrespvector.cc \
- $(INC)machdefs.h specrespvector.h specresp.h \
- $(INC)anydataobj.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)fioarr.h
-$(OBJ)squarefilt.o: squarefilt.cc $(INC)machdefs.h \
- squarefilt.h specresp.h $(INC)anydataobj.h
-$(OBJ)trianglefilt.o: trianglefilt.cc \
- $(INC)machdefs.h trianglefilt.h specresp.h \
- $(INC)anydataobj.h
+$(SOPHYALIBP)libSkyT.a : $(SOPHYAOBJP)blackbody.o $(SOPHYAOBJP)convtools.o $(SOPHYAOBJP)derivblackbody.o $(SOPHYAOBJP)gaussfilt.o $(SOPHYAOBJP)nupower.o $(SOPHYAOBJP)radspec.o $(SOPHYAOBJP)radspecvector.o $(SOPHYAOBJP)skyinit.o $(SOPHYAOBJP)specresp.o $(SOPHYAOBJP)specrespvector.o $(SOPHYAOBJP)squarefilt.o $(SOPHYAOBJP)trianglefilt.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)blackbody.o: blackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h blackbody.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)convtools.o: convtools.cc \
+  $(SOPHYAINCP)sopnamsp.h convtools.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)derivblackbody.o: derivblackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h derivblackbody.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h gaussfilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)nupower.o: nupower.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nupower.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)radspec.o: radspec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspec.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)integ.h \
+  $(SOPHYAINCP)classfunc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)radspecvector.o: radspecvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspecvector.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)skyinit.o: skyinit.cc \
+  $(SOPHYAINCP)sopnamsp.h skyinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h specrespvector.h \
+  specresp.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h gaussfilt.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)specresp.o: specresp.cc \
+  $(SOPHYAINCP)sopnamsp.h specresp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)integ.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)classfunc.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)specrespvector.o: specrespvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h specrespvector.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)squarefilt.o: squarefilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h squarefilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)trianglefilt.o: trianglefilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h trianglefilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaLib/SkyT/smakefile
===================================================================
--- trunk/SophyaLib/SkyT/smakefile	(revision 2743)
+++ trunk/SophyaLib/SkyT/smakefile	(revision 2743)
@@ -0,0 +1,189 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libSkyT.a
+ 
+clean:
+	 rm -f $(SOPHYAOBJP)blackbody.o $(SOPHYAOBJP)convtools.o $(SOPHYAOBJP)derivblackbody.o $(SOPHYAOBJP)gaussfilt.o $(SOPHYAOBJP)nupower.o $(SOPHYAOBJP)radspec.o $(SOPHYAOBJP)radspecvector.o $(SOPHYAOBJP)skyinit.o $(SOPHYAOBJP)specresp.o $(SOPHYAOBJP)specrespvector.o $(SOPHYAOBJP)squarefilt.o $(SOPHYAOBJP)trianglefilt.o
+	rm -f $(SOPHYALIBP)libSkyT.a
+ 
+$(SOPHYALIBP)libSkyT.a : $(SOPHYAOBJP)blackbody.o $(SOPHYAOBJP)convtools.o $(SOPHYAOBJP)derivblackbody.o $(SOPHYAOBJP)gaussfilt.o $(SOPHYAOBJP)nupower.o $(SOPHYAOBJP)radspec.o $(SOPHYAOBJP)radspecvector.o $(SOPHYAOBJP)skyinit.o $(SOPHYAOBJP)specresp.o $(SOPHYAOBJP)specrespvector.o $(SOPHYAOBJP)squarefilt.o $(SOPHYAOBJP)trianglefilt.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)blackbody.o: blackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h blackbody.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)convtools.o: convtools.cc \
+  $(SOPHYAINCP)sopnamsp.h convtools.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)derivblackbody.o: derivblackbody.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h derivblackbody.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h gaussfilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)nupower.o: nupower.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nupower.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h convtools.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)radspec.o: radspec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspec.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)integ.h \
+  $(SOPHYAINCP)classfunc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)radspecvector.o: radspecvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspecvector.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)skyinit.o: skyinit.cc \
+  $(SOPHYAINCP)sopnamsp.h skyinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h specrespvector.h \
+  specresp.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h gaussfilt.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)specresp.o: specresp.cc \
+  $(SOPHYAINCP)sopnamsp.h specresp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)integ.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)classfunc.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)specrespvector.o: specrespvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h specrespvector.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)squarefilt.o: squarefilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h squarefilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)trianglefilt.o: trianglefilt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h trianglefilt.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaLib/SysTools/Makefile
===================================================================
--- trunk/SophyaLib/SysTools/Makefile	(revision 2742)
+++ trunk/SophyaLib/SysTools/Makefile	(revision 2743)
@@ -1,58 +1,82 @@
-include ../Mgr/Makefile.h
+include ../BuildMgr/sophyamake.inc
  
-all: $(LIB)libSysTools.a
+all: $(SOPHYALIBP)libSysTools.a
+ 
 clean:
-	rm -f $(OBJ)cexpre.o $(OBJ)commander.o $(OBJ)ctimer.o $(OBJ)cxxcmplnk.o $(OBJ)pdlmgr.o $(OBJ)periodic.o $(OBJ)psighand.o $(OBJ)resusage.o $(OBJ)rpneval.o $(OBJ)zthread.o $(OBJ)timing.o
-	rm -f $(LIB)libSysTools.a
-$(LIB)libSysTools.a : $(OBJ)cexpre.o $(OBJ)commander.o $(OBJ)ctimer.o $(OBJ)cxxcmplnk.o $(OBJ)pdlmgr.o $(OBJ)periodic.o $(OBJ)psighand.o $(OBJ)resusage.o $(OBJ)rpneval.o $(OBJ)timing.o $(OBJ)zthread.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
+	 rm -f $(SOPHYAOBJP)cexpre.o $(SOPHYAOBJP)commander.o $(SOPHYAOBJP)ctimer.o $(SOPHYAOBJP)cxxcmplnk.o $(SOPHYAOBJP)pdlmgr.o $(SOPHYAOBJP)periodic.o $(SOPHYAOBJP)psighand.o $(SOPHYAOBJP)resusage.o $(SOPHYAOBJP)rpneval.o $(SOPHYAOBJP)zthread.o $(SOPHYAOBJP)timing.o
+	rm -f $(SOPHYALIBP)libSysTools.a
  
-$(OBJ)cexpre.o: cexpre.cc cexpre.h $(INC)machdefs.h \
-  $(INC)osx_values.h \
-  $(INC)pexceptions.h
-$(OBJ)commander.o: commander.cc commander.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h pdlmgr.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)mutyv.h ctimer.h \
-  $(INC)strutil.h \
-  $(INC)strutilxx.h \
-  $(INC)srandgen.h
-$(OBJ)ctimer.o: ctimer.cc $(INC)machdefs.h \
-  $(INC)osx_values.h ctimer.h
-$(OBJ)cxxcmplnk.o: cxxcmplnk.cc cxxcmplnk.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h
-$(OBJ)pdlmgr.o: pdlmgr.cc $(INC)machdefs.h \
-  $(INC)osx_values.h pdlmgr.h
-$(OBJ)periodic.o: periodic.cc $(INC)machdefs.h \
-  $(INC)osx_values.h periodic.h
-$(OBJ)psighand.o: psighand.cc psighand.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h \
-  $(INC)pexceptions.h
-$(OBJ)resusage.o: resusage.cc resusage.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h
-$(OBJ)rpneval.o: rpneval.cc rpneval.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h \
-  $(INC)pexceptions.h \
-  $(INC)strutilxx.h \
-  $(INC)srandgen.h
-$(OBJ)zthread.o: zthread.cc zthread.h \
-  $(INC)machdefs.h \
-  $(INC)osx_values.h \
-  $(INC)pexceptions.h
-$(OBJ)timing.o: timing.c timing.h
+$(SOPHYALIBP)libSysTools.a : $(SOPHYAOBJP)cexpre.o $(SOPHYAOBJP)commander.o $(SOPHYAOBJP)ctimer.o $(SOPHYAOBJP)cxxcmplnk.o $(SOPHYAOBJP)pdlmgr.o $(SOPHYAOBJP)periodic.o $(SOPHYAOBJP)psighand.o $(SOPHYAOBJP)resusage.o $(SOPHYAOBJP)rpneval.o $(SOPHYAOBJP)timing.o $(SOPHYAOBJP)zthread.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h \
+  cexpre.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)commander.o: commander.cc \
+  $(SOPHYAINCP)sopnamsp.h commander.h \
+  $(SOPHYAINCP)machdefs.h pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h ctimer.h \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)strutilxx.h cexpre.h \
+  rpneval.h $(SOPHYAINCP)srandgen.h \
+  zthread.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h ctimer.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
+  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h pdlmgr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)periodic.o: periodic.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h periodic.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)psighand.o: psighand.cc \
+  $(SOPHYAINCP)sopnamsp.h psighand.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)resusage.o: resusage.cc \
+  $(SOPHYAINCP)sopnamsp.h resusage.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)rpneval.o: rpneval.cc \
+  $(SOPHYAINCP)sopnamsp.h rpneval.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)strutilxx.h \
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)zthread.o: zthread.cc \
+  $(SOPHYAINCP)sopnamsp.h zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)timing.o: timing.c timing.h
+	$(CCOMPILE) -o $@ $<
+ 
